curl --request PUT \
--url https://api.tryhamsa.com/v1/voice-agents/voice-dictionaries/{id}/validations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"word": "API",
"voiceId": "078338c4-7788-4371-95d4-1bbe45021113",
"status": "passed"
}
'{
"success": true,
"message": "Voice dictionary validation saved successfully",
"data": [
{
"word": "API",
"voiceId": "078338c4-7788-4371-95d4-1bbe45021113",
"status": "passed",
"updatedBy": "b7d9e979-4a16-437b-8571-4ed92a94faa8",
"updatedAt": "2026-11-02T09:15:00.000Z"
}
]
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Dictionaries
Save Pronunciation Check
Sets the verdict for one word and voice, after listening to it. Returns that word’s verdict for the voice.
PUT
/
v1
/
voice-agents
/
voice-dictionaries
/
{id}
/
validations
curl --request PUT \
--url https://api.tryhamsa.com/v1/voice-agents/voice-dictionaries/{id}/validations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"word": "API",
"voiceId": "078338c4-7788-4371-95d4-1bbe45021113",
"status": "passed"
}
'{
"success": true,
"message": "Voice dictionary validation saved successfully",
"data": [
{
"word": "API",
"voiceId": "078338c4-7788-4371-95d4-1bbe45021113",
"status": "passed",
"updatedBy": "b7d9e979-4a16-437b-8571-4ed92a94faa8",
"updatedAt": "2026-11-02T09:15:00.000Z"
}
]
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Authorizations
Path Parameters
Body
application/json
Was this page helpful?